Package org.apache.ignite.internal.management.tx

## Class TxCommand.AbstractTxCommandArg

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.management.tx.TxCommand.AbstractTxCommandArg

All Implemented Interfaces:
  `Externalizable`, `Serializable`

Direct Known Subclasses:
  `TxCommandArg`, `TxInfoCommandArg`

Enclosing class:
  TxCommand

    public abstract static class TxCommand.AbstractTxCommandArg
    extends IgniteDataTransferObject

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
`AbstractTxCommandArg()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, readExternalData, toList, toSet, writeExternal, writeExternalData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractTxCommandArg

    public AbstractTxCommandArg()